<?php
require_once '../config/conexion.php';

class UsuarioPermiso {
    private $db;
    public function __construct() {
        $this->db = (new Connection())->open();
    }

    public function getPermisosByUsuario($usuario_id) {
        $sql = "SELECT p.* FROM usuario_permiso up
                JOIN permisos p ON p.id = up.permiso_id
                WHERE up.usuario_id = ?";
        $stmt = $this->db->prepare($sql);
        $stmt->execute([$usuario_id]);
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
}
